Loading...
Searching...
No Matches
mce::event::LoggerOutput Struct Reference
Inheritance diagram for mce::event::LoggerOutput:

## Public Types

enum class | Severity { INFO , WARN , ERROR , DEBUG , FATAL }

## Public Member Functions

| LoggerOutput (Severity s=Severity::INFO, const std::string m="", eastl::optional< std::source_location > loc=eastl::nullopt)
virtual const char const * | name () const override

## Public Attributes

Severity | severity
std::string | msg
eastl::optional< std::source_location > | location

## Member Function Documentation

## name()

virtual const char const * mce::event::LoggerOutput::name | ( |  | ) | const

inlinenodiscardoverridevirtual

Implements mce::IEvent.

The documentation for this struct was generated from the following file:

- Minecraft-Community-Edition/IEvent.hpp